@font-face {
  font-family: "inter";
  font-style: normal;
  font-weight: 400;
  src:
    url(https://static.eldesenfrenocharanga.es/fonts/inter.ttf) format("truetype");
  font-display: swap;
}

@font-face {
  font-family: "abel";
  font-style: normal;
  font-weight: 400;
  src:
    url(https://static.eldesenfrenocharanga.es/fonts/abel-regular.ttf) format("truetype");
  font-display: swap;
}

@font-face {
  font-family: "bebas";
  font-style: normal;
  font-weight: 400;
  src:
    url(https://static.eldesenfrenocharanga.es/fonts/bebasneue-regular.ttf) format("truetype");
  font-display: swap;
}



* {
  scroll-behavior: smooth;
  margin: 0;
  padding: 0;
}

body {

  height: 100vh;
  font-family: inter, sans-serif;
  text-align: center;
  background-color: #F1F1F1;
  justify-content: center;
}

header {
  background-color: #F1F1F1;
  height: 5em;
  border-bottom: 0.05em solid #1f1f1f5b;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60%;
  margin: 0.5% auto 0;
  position: sticky;
}

#logoheader {
  margin: 0 1%;
  height: 80%;
  float: left;
  border-radius: 50%;
  animation: rotateZ 1s;
}

#botonesheader {
  font-size: large;
  margin-left: 10%;
  list-style-type: none;
  width: 50%;
  padding: 0;
  overflow: hidden;
}

#botonesheader>li {
  margin-left: 5%;
  float: left;
}

#whatsbutton:visited {
  color: green;
  text-decoration: none;
}

#whatsbutton:hover {
  color: green;
  text-decoration: underline green;
}
#headerlink{
  color: #F1F1F1;
  text-decoration: none;
}
#headerlink:hover{text-decoration: underline;}
#headerlink:visited{ color: #F1F1F1;}
a[href^='#'] {
  text-decoration: none;
  scroll-margin-top: 70vh;
  color: black;
}

a[href^='#']:hover {
  text-decoration: underline;
}

#whatsbutton {
  color: green;
  text-decoration: none;
}

a[href^='#']:visited {
  color: black;
}

#contact>div {
  width: 30%;
  height: 20vh;
  margin-left: 2%;
  margin-top: 2%;
  display: inline-block;
  text-align: center;
}

#contact>div>a {
  display: block;
  object-fit: contain;
  margin: 1% auto 3%;
}

main {
  margin: 0 auto;
  width: 60%;
  display: block;
}

section {
  margin: 3% auto;
  text-align: Justify;
  width: 100%;
}

section>h2 {
  font-family: bebas;
}

footer {
  height: 5vh;
  border-top: 0.05em solid #1f1f1f5b;
  width: 100%;

}

@keyframes rotateZ {
  to {
    transform: rotateZ(-360deg);
  }
}

@media (width < 1000px) {
  #botonesheader {
    display: none;
  }

  #logoheader {
    margin: 0 5% 0 0;
    height: 80%;
    float: left;
    border-radius: 50%;
    animation: rotateZ 1s;
  }


  #contact>div {
    margin-top: 3%;
  }
  section {
    margin: 10% auto;
    width: 100%;
  }
}

@media (width < 900px) {
 
 section {
    margin: 10% auto;
    width: 100%;
  }
  header {
    width: 80%;
  }

  main {
    width: 80%;
  }

  #contact {
    display: flex;
    flex-direction: column;
  }

  #contact>div {
    width: 60%;
    height: 10vh;
    margin-left: 20%;
    margin-top: 5vh;
    margin-bottom: 12vh;
    display: inline-block;
    text-align: center;
  }
}


@media (width < 900px) {
 
 section {
    margin: 10% auto;
    width: 100%;
  }
  header {
    width: 80%;
  }

  main {
    width: 80%;
  }

  #contact {
    display: flex;
    flex-direction: column;
  }

  #contact>div {
    width: 60%;
    height: 10vh;
    margin-left: 20%;
    margin-top: 5vh;
    margin-bottom: 12vh;
    display: inline-block;
    text-align: center;
  }
}


@media(prefers-color-scheme:dark) {
  body{
    background-color: #16161d;
    color: #F1F1F1
  }
  header{background-color: #16161d; border-bottom: solid 0.05em #F1F1F1;}
  footer{border-top: solid 0.05em #F1F1F1;}
a[href^='#']{color: #F1F1F1;}
a[href^='#']:visited{color: #F1F1F1;}
}
